Skip to content
GET /sync-job-run-state/{id}

Path Parameters

idstring
required·

The ID of the state to retrieve.

Example: last_processed_id

Query Parameters

state_keystring
required·

The state_key attribute found in a sync job run and defined in the sync job. Used as a namespace for the states.

Example: sync_job_123

Response Body

created_atstring · date-time

Timestamp when the state was created.

Example: 2023-01-01T10:00:00.000Z
keystring

The key identifier for this state.

Example: last_processed_id
sync_job_run_idstring · uuid

The ID of the sync job run this state is associated with (optional).

Example: 4a4de828-f4db-4c9e-adfd-434e0864c3c7
updated_atstring · date-time

Timestamp when the state was last updated.

Example: 2023-01-02T10:00:00.000Z
valuestring

The state value stored.

Example: eyJpZCI6IjEyMzQ1IiwidGltZXN0YW1wIjoiMjAyMy0wMS0wMVQwMDowMDowMFoifQ==
curl -X GET 'https://api.truto.one/sync-job-run-state/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/sync-job-run-state/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/sync-job-run-state/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())